Keywords
curl --request GET \
--url https://api.themoviedb.org/3/movie/{movie_id}/keywords \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{movie_id}/keywords"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{movie_id}/keywords', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/movie/{movie_id}/keywords",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/movie/{movie_id}/keywords"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/movie/{movie_id}/keywords")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/movie/{movie_id}/keywords")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 550,
"keywords": [
{
"id": 851,
"name": "dual identity"
},
{
"id": 3927,
"name": "rage and hate"
},
{
"id": 818,
"name": "based on novel or book"
},
{
"id": 1541,
"name": "nihilism"
},
{
"id": 1721,
"name": "fight"
},
{
"id": 825,
"name": "support group"
},
{
"id": 4565,
"name": "dystopia"
},
{
"id": 4142,
"name": "insomnia"
},
{
"id": 9181,
"name": "alter ego"
},
{
"id": 11687,
"name": "breaking the fourth wall"
},
{
"id": 156761,
"name": "split personality"
},
{
"id": 179173,
"name": "quitting a job"
},
{
"id": 212803,
"name": "dissociative identity disorder"
},
{
"id": 260426,
"name": "self destructiveness"
}
]
}MOVIES
Keywords
This endpoint is used to get the credit for a movie.
GET
/
movie
/
{movie_id}
/
keywords
Keywords
curl --request GET \
--url https://api.themoviedb.org/3/movie/{movie_id}/keywords \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{movie_id}/keywords"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{movie_id}/keywords', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/movie/{movie_id}/keywords",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/movie/{movie_id}/keywords"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/movie/{movie_id}/keywords")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/movie/{movie_id}/keywords")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 550,
"keywords": [
{
"id": 851,
"name": "dual identity"
},
{
"id": 3927,
"name": "rage and hate"
},
{
"id": 818,
"name": "based on novel or book"
},
{
"id": 1541,
"name": "nihilism"
},
{
"id": 1721,
"name": "fight"
},
{
"id": 825,
"name": "support group"
},
{
"id": 4565,
"name": "dystopia"
},
{
"id": 4142,
"name": "insomnia"
},
{
"id": 9181,
"name": "alter ego"
},
{
"id": 11687,
"name": "breaking the fourth wall"
},
{
"id": 156761,
"name": "split personality"
},
{
"id": 179173,
"name": "quitting a job"
},
{
"id": 212803,
"name": "dissociative identity disorder"
},
{
"id": 260426,
"name": "self destructiveness"
}
]
}